Skip to main content
5 votes
Accepted

Compilation Errors on Template Node

Actually, this is not a Substrate or Rust question. There is a change in GCC 13. I'm an ArchLinux user. I always keep the dependencies on the latest version. I have to use GCC 12 now. Try: CC=gcc-12 ...
AurevoirXavier's user avatar
  • 10.7k
3 votes

how to resolve? error[E0422]: cannot find struct, variant or union type `LineColumn` in crate `proc_macro`

I was having the same issue in my GitHub actions and not locally. Updating my crates using cargo update seemed to fix the dependency that was causing this issue. Perhaps give this a try!
DJJ's user avatar
  • 63
2 votes

How to compile polkadot node with only rococo runtime

You can compile the rococo-runtime package and its dependencies with cargo build --release -p rococo-runtime. On master this compiles 638 packages instead of the full 1819, and is a flag that you can ...
seadanda's user avatar
1 vote
Accepted

Compile Error in vandersnatch_vrfs crate in SDK version 1.3.0

Have you tried to set it to branch = "release-polkadot-v1.3.0"? I can see that the tag = "polkadot-v1.3.0" is not pointing to the same commit as that branch is, so maybe we need to ...
Artur Gontijo's user avatar
1 vote

getting error while building substrate blockchain?

The compiler has already told you. Need a &[..]. Try call .as_slice() on your BoundedVec type.
AurevoirXavier's user avatar
  • 10.7k
1 vote

How to compile polkadot node with only rococo runtime

I don't think you can do that with the latest code. It's a feautre of its dependency. https://github.com/paritytech/polkadot-sdk/blob/76994356fcaeda77a5c21958ef4e2597e1c74b05/polkadot/Cargo.toml#L29 ...
AurevoirXavier's user avatar
  • 10.7k

Only top scored, non community-wiki answers of a minimum length are eligible